# H248_ErrorDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ErrorDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_errorText }

## Public Member Functions

| H248_ErrorDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_ErrorCode | m_errorCode
H248_ErrorText | m_errorText

## Member Enumeration Documentation

enum H248_ErrorDescriptor::OptionalFields

Enumerator:

  e_errorText |

## Constructor & Destructor Documentation

H248_ErrorDescriptor::H248_ErrorDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ErrorDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_ErrorDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_ErrorDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ErrorDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ErrorDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ErrorDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_ErrorCode H248_ErrorDescriptor::m_errorCode

H248_ErrorText H248_ErrorDescriptor::m_errorText

The documentation for this class was generated from the following file:

- h248.h